Subject: bug#1092: compilation-goto-error goes to wrong location when buffer has hidden regions

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 Oct 2008 21:50:14 -0400

> I have the copyright region at the head of my files hidden using
> selective-display and ^M. When this region is hidden functions like
> compilation-goto-error jump to the wrong location: n lines below the correct
> location where n is the number of hidden lines. If I use goto-line and the
> line number reported in the compilation buffer, emacs takes me to the
> correct line.

For what it's worth, I'd recommend you fix this problem by not using
selective-display (replace it with an overlay).

        Stefan